goocanvasmm: Goocanvas::Bounds Class Reference

goocanvasmm 1.90.8

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | Related Functions
Goocanvas::Bounds Class Reference

List of all members.

## Public Member Functions
| Bounds ()
| Bounds (const GooCanvasBounds* gobject)
GooCanvasBounds* | gobj ()
| Provides access to the underlying C instance.
const GooCanvasBounds* | gobj () const
| Provides access to the underlying C instance.
| Bounds (double x1, double y1, double x2, double y2)
double | get_x1 () const
void | set_x1 (const double&value)
double | get_x2 () const
void | set_x2 (const double&value)
double | get_y1 () const
void | set_y1 (const double&value)
double | get_y2 () const
void | set_y2 (const double&value)
## Protected Attributes
GooCanvasBounds | gobject_
## Related Functions
(Note that these are not member functions.)
Goocanvas::Bounds& | wrap (GooCanvasBounds* object)
const Goocanvas::Bounds& | wrap (const GooCanvasBounds* object)

## Constructor & Destructor Documentation

Goocanvas::Bounds::Bounds | ( |  | ) |

Goocanvas::Bounds::Bounds | ( | const GooCanvasBounds * | gobject | ) | `[explicit]`

Goocanvas::Bounds::Bounds | ( | double | x1,
|  | double | y1,
|  | double | x2,
|  | double | y2
| ) |  |

## Member Function Documentation

double Goocanvas::Bounds::get_x1 | ( |  | ) | const

double Goocanvas::Bounds::get_x2 | ( |  | ) | const

double Goocanvas::Bounds::get_y1 | ( |  | ) | const

double Goocanvas::Bounds::get_y2 | ( |  | ) | const

const GooCanvasBounds* Goocanvas::Bounds::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C instance.

GooCanvasBounds* Goocanvas::Bounds::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C instance.

void Goocanvas::Bounds::set_x1 | ( | const double & | value | ) |

void Goocanvas::Bounds::set_x2 | ( | const double & | value | ) |

void Goocanvas::Bounds::set_y1 | ( | const double & | value | ) |

void Goocanvas::Bounds::set_y2 | ( | const double & | value | ) |

## Friends And Related Function Documentation

Goocanvas::Bounds& wrap | ( | GooCanvasBounds * | object | ) | `[related]`

Parameters:

  object | The C instance

Returns:
  A C++ instance that wraps this C instance.

const Goocanvas::Bounds& wrap | ( | const GooCanvasBounds * | object | ) | `[related]`

Parameters:

  object | The C instance

Returns:
  A C++ instance that wraps this C instance.

## Member Data Documentation

GooCanvasBounds Goocanvas::Bounds::gobject_`[protected]`

The documentation for this class was generated from the following file:

- goocanvasmm/bounds.h